DRM_ATOMIC_HELPER_CO(9)

NAME
drm_atomic_helper_connector_reset - default ->reset hook for connectors

SYNOPSIS

void drm_atomic_helper_connector_reset(struct drm_connector * connector);

ARGUMENTS

connector
    drm connector

DESCRIPTION

Resets the atomic state for connector by freeing the state pointer (which might be NULL, e.g. at driver load time) and allocating a new empty state object.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT